org.eclipse.ui.navigator

## Class MenuInsertionPoint

- java.lang.Object
- - org.eclipse.ui.navigator.MenuInsertionPoint

    public final class MenuInsertionPoint
    extends Object

A descriptive construct to relay information about a menu insertion point; including the name of the insertion point and whether the item should be rendered as a separator or group marker.

Since:
  3.2

### Constructor Summary

Constructors
Constructor and Description
`MenuInsertionPoint(String aName, boolean toMakeASeparator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`boolean` `isSeparator()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MenuInsertionPoint

    public MenuInsertionPoint(String aName,
                              boolean toMakeASeparator)

Parameters:
  `aName` - The name that clients will refer to when inserting items into the menu at this point.
  `toMakeASeparator` - A value of true will cause the point to be rendered as a org.eclipse.jface.action.Separator (a "bar" in the menu); false will cause the point to be rendered as a org.eclipse.jface.action.GroupMarker.

### Method Detail

#### isSeparator

    public boolean isSeparator()

Returns:
  True if the point should be rendered as a org.eclipse.jface.action.Separator (a "bar" in the menu); or false if the point should be rendered as a org.eclipse.jface.action.GroupMarker.

#### getName

    public String getName()

Returns:
  The name that clients will refer to when inserting items into the menu at this point.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`